@ECHO off
rem ******************************************************************************************************************************
rem * Licensed Materials - Property of IBM                                                                                       *
rem * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
rem *                                                                                                                            *
rem *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
rem ******************************************************************************************************************************

IF NOT DEFINED LOCALE (SET LOCALE= )
SET LOCEN=0409
SET LOCIT=0410 
SET LOCJP=0411 
SET LOCKO=0412 
SET LOCPO=0415 
SET LOCCHS=0804
SET LOCCHT=0404

IF NOT DEFINED ORA_VERSION (SET ORA_VERSION= )
IF NOT DEFINED ORACLE_HOME (SET ORACLE_HOME= )
IF NOT DEFINED ORACLE_BASE (SET ORACLE_BASE= )
IF NOT DEFINED ORACLE_SID (SET ORACLE_SID= )
IF NOT DEFINED SYSPWD (SET SYSPWD= )
IF NOT DEFINED SYSTEMPWD (SET SYSTEMPWD= )
IF NOT DEFINED SYSMANPWD (SET SYSMANPWD= )
IF NOT DEFINED DBSNMPWD (SET DBSNMPWD= )
IF NOT DEFINED DBA_USER (SET DBA_USER= )
IF NOT DEFINED DBA_PASSWORD (SET DBA_PASSWORD= )
IF NOT DEFINED NF_SCHEMA (SET NF_SCHEMA= )
IF NOT DEFINED STAR_SCHEMA (SET STAR_SCHEMA= )
IF NOT DEFINED REP_USER (SET REP_USER= )
IF NOT DEFINED REP_PASSWD (SET REP_PASSWD= )
IF NOT DEFINED DATA_HOME (SET DATA_HOME= )
IF NOT DEFINED HOST_NAME (SET HOST_NAME= )
IF NOT DEFINED START_YEAR (SET START_YEAR= )
IF NOT DEFINED END_YEAR (SET END_YEAR= )
IF NOT DEFINED ORALEVEL (SET ORALEVEL= )

IF NOT DEFINED JAVA_HOME (SET JAVA_HOME= )

SET EXITCODE=0
SET MESSAGE= XXX 

IF NOT EXIST set_env.bat (
                           SET EXITCODE=4597 
                           
                           GOTO done
                                    ) ELSE (                
                       call set_env.bat
                                  )



IF "%JAVA_HOME%" EQU " " (
SET EXITCODE= 4596 
GOTO done)  


SET CURDIR=%CD%

CD /d "%JAVA_HOME%\bin"
IF "%ERRORLEVEL%" EQU "1" (
SET EXITCODE=4596
GOTO done)

IF NOT EXIST java.exe (
SET EXITCODE= 4598
GOTO done   ) 

CD /d %CURDIR%

set path=%JAVA_HOME%\bin;%path%

REG QUERY "HKCU\Control Panel\International" /v Locale>locale.txt

java com.ibm.rational.vega.dw.SearchAndReplace %LOCIT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCIT%
SET SQLVARF=ascii/vars_it.sql
call lang\it\messages.bat) 
java com.ibm.rational.vega.dw.SearchAndReplace %LOCJP% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCJP%
SET SQLVARF=ascii/vars_jp.sql
call lang\jp\messages.bat)
java com.ibm.rational.vega.dw.SearchAndReplace %LOCKO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCKO%
SET SQLVARF=ascii/vars_kr.sql
call lang\kr\messages.bat)
java com.ibm.rational.vega.dw.SearchAndReplace %LOCPO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPO%
SET SQLVARF=ascii/vars_pl.sql
call lang\pl\messages.bat)
java com.ibm.rational.vega.dw.SearchAndReplace %LOCCHS% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHS%
SET SQLVARF=ascii/vars_zh_CN.sql
call lang\zh_CN\messages.bat)
java com.ibm.rational.vega.dw.SearchAndReplace %LOCCHT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHT%
SET SQLVARF=ascii/vars_zh_TW.sql
call lang\zh_TW\messages.bat)
java com.ibm.rational.vega.dw.SearchAndReplace %LOCEN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCEN%
SET SQLVARF=ascii/vars_en.sql
call lang\en\messages.bat
)

IF "%LOCALE%" EQU " " (
SET LOCALE=%LOCEN%
SET SQLVARF=ascii/vars_en.sql
call lang\en\messages.bat)

SET EXITCODE=0
SET MESSAGE=No errors

SET /A SILENT=0
IF "%1" EQU "-silent" (
SET /A SILENT=1) 

SET ORA_CMD=
IF "%1" EQU "-debug" (SET ORA_CMD=ON ) ELSE (SET ORA_CMD=OFF )
IF "%2" NEQ "" (IF "%2" EQU "-debug" (SET ORA_CMD=ON) ELSE (SET ORA_CMD=OFF))


ECHO %CRREWECH033%

IF %SILENT% EQU 0 (
IF "%ORACLE_HOME%" EQU " " (
SET /P ORACLE_HOME=%CRREWPRMPT013%
))
IF "%ORACLE_HOME%" EQU " " (
SET MESSAGE=%CRREWMSGE030%
SET EXITCODE=%CRREW4530E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P ORACLE_SID=%CRREWPRMPT028%
)
IF "%ORACLE_SID%" EQU " " ( 
SET MESSAGE=%CRREWMSGE034%
SET EXITCODE=%CRREW4534E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P SYSPWD=%CRREWPRMPT016%
)
IF "%SYSPWD%" EQU " " (
SET MESSAGE=%CRREWMSGE035%
SET EXITCODE=%CRREW4535E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P DBA_USER=%CRREWPRMPT003%
)
IF "%DBA_USER%" EQU " " (
SET MESSAGE=%CRREWMSGE039%
SET EXITCODE=%CRREW4539E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P DBA_PASSWORD=%CRREWPRMPT021%
)
IF "%DBA_PASSWORD%" EQU " " (
SET MESSAGE=%CRREWMSGE040%
SET EXITCODE=%CRREW4540E%
GOTO done)

IF NOT EXIST logs\nul (MKDIR logs) ELSE (
RMDIR /S /Q logs
MKDIR logs
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4576E%
SET MESSAGE=%CRREWMSGE076%
GOTO done)
IF %SILENT% EQU 0 (
SET /P NF_SCHEMA=%CRREWPRMPT029%
)
IF "%NF_SCHEMA%" EQU " " (
SET MESSAGE=%CRREWMSGE005%
SET EXITCODE=%CRREW4505E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P STAR_SCHEMA=%CRREWPRMPT030%
)
IF "%STAR_SCHEMA%" EQU " " (
SET MESSAGE=%CRREWMSGE006%
SET EXITCODE=%CRREW4506E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P REP_USER=%CRREWPRMPT031%
)
IF "%REP_USER%" EQU " " (
SET MESSAGE=%CRREWMSGE007%
SET EXITCODE=%CRREW4507E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P VIEW_REDEF=%CRREWPRMPT032%
)
IF "%VIEW_REDEF%" EQU " " (
SET VIEW_REDEF=0)

IF "%VIEW_REDEF%" NEQ "1" (
SET VIEW_REDEF=0)

IF NOT EXIST work_spc\nul (MKDIR work_spc) ELSE (
RMDIR /S /Q work_spc
MKDIR work_spc
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4576E%
SET MESSAGE=%CRREWMSGE076%
GOTO done)

XCOPY /Y /I /E /Q ddl work_spc\ddl
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)

XCOPY /Y /I /E /Q scripts work_spc\scripts
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)

COPY /Y migrateDW.sql work_spc\migrateDW.sql
IF %ERRORLEVEL% GTR 0 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)

echo PROMPT>prev_mig.sql
"%ORACLE_HOME%"\bin\sqlplus /nolog @"%CD%"\work_spc\migrateDW.sql %ORACLE_SID% '"%CD%"' '"%SYSPWD%"' %DBA_USER% '"%DBA_PASSWORD%"' %NF_SCHEMA% %STAR_SCHEMA% %REP_USER%  %ORA_CMD% %SQLVARF% %VIEW_REDEF%

GOTO done

:done 
echo %MESSAGE%:%EXITCODE%
echo %CRREWECH002%
EXIT /B %EXITCODE%

