--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

set verify off

WHENEVER OSERROR EXIT
WHENEVER SQLERROR EXIT

DEFINE ORACLE_SID='&1'
DEFINE CD='&2'
DEFINE sysPassword='&3'
DEFINE DBA_USER='&4'
DEFINE DBA_PASSWORD='&5'
DEFINE NF_SCHEMA='&6'
DEFINE STAR_SCHEMA='&7'
DEFINE REP_USER='&8'
DEFINE ORA_CMD='&9'
DEFINE SQLVARF='&10'
DEFINE VIEW_REDEF=&11
DEFINE exec_script_='&&CD/work_spc/ddl/createMIG.ddl'
COLUMN exec_script NEW_VALUE exec_script_ NOPRINT

set echo &&ORA_CMD

connect &&DBA_USER/"&&DBA_PASSWORD"
VARIABLE check_obj NUMBER
BEGIN
SELECT COUNT(*) INTO :check_obj FROM ALL_OBJECTS WHERE OBJECT_TYPE='TABLE' AND OBJECT_NAME IN ('STATEMENT_LIST','STATEMENT_DEPENDENCIES','MODULES');
END;
/

SELECT CASE WHEN :check_obj <> 0 THEN 'prev_mig.sql' ELSE '&&CD/work_spc/ddl/createMIG.ddl' END exec_script FROM DUAL;
spool '&&CD/logs/createMIG.log'
@'&&exec_script_'
spool off


spool '&&CD/logs/statements.log'
@'&&CD/work_spc/scripts/statements.sql'
spool off
UPDATE CONFIG.STATEMENT_LIST SET EXECUTE=&&VIEW_REDEF WHERE RTRIM(ACTION)='ALTER VIEW';
COMMIT;
spool '&&CD/logs/migration_sp.log'
DEFINE STAR_SCHEMA='&4'
@'&&CD/work_spc/scripts/&&SQLVARF'
DEFINE STAR_SCHEMA='&7'
@'&&CD/work_spc/scripts/migration_sp.sql'
spool off
spool '&&CD/logs/migrateDB.log'
BEGIN
	&&DBA_USER..DW_MIGRATE('&&NF_SCHEMA','&&STAR_SCHEMA','&&REP_USER');
END;
/

spool off
COMMIT;
EXIT;